Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(144)

Unified Diff: tools/git_clone_to_google3.sh

Issue 1406283002: Include resources directory in google3 sync. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: tools/git_clone_to_google3.sh
diff --git a/tools/git_clone_to_google3.sh b/tools/git_clone_to_google3.sh
index 38d79e3c01cf4030b1b0432ea9d14c8dad87500a..9f64fc75144a37198f91cb01c67010ddf02f9ce0 100755
--- a/tools/git_clone_to_google3.sh
+++ b/tools/git_clone_to_google3.sh
@@ -10,17 +10,13 @@
# Usage:
# ./tools/git_clone_to_google3.sh
-source gbash.sh || exit
+prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
+source gbash.sh || exit 2
+
DEFINE_string skia_rev "" "Git hash of Skia revision to clone, default LKGR."
gbash::init_google "$@"
-set -x -e
-
-# To run this script after making edits, run:
-# g4 revert -k git_clone_to_google3.sh
-# To get the file back into your CL, run:
-# g4 edit git_clone_to_google3.sh
-#g4 opened | grep -q "//depot" && gbash::die "Must run in a clean client."
+set -e
# Checkout LKGR of Skia in a temp location.
TMP=$(gbash::make_temp_dir)
@@ -49,6 +45,7 @@ rsync -avzJ \
--include=/dm \
--include=/gm \
--include=/include \
+ --include=/resources \
--exclude=/src/animator \
--include=/src \
--include=/tests \
« BUILD.public ('K') | « tools/get_skia_lkgr.sh ('k') | tools/sync_google3.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698